Bug 569616 - Qemu in EPEL-5 over-rides RHEL-AP packages
Summary: Qemu in EPEL-5 over-rides RHEL-AP packages
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: qemu
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-01 20:48 UTC by Stephen John Smoogen
Modified: 2017-04-06 10:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 10:37:35 UTC


Attachments (Terms of Use)

Description Stephen John Smoogen 2010-03-01 20:48:04 UTC
Description of problem:

Ok we have a report that qemu-img overwrites kvm-qemu-img in RHEL-AP. Normally we would block this package from the EPEL build system, but this may cause breakage for other items in EPEL so we need to work on a plan of what to do.

Please email the list epel-devel-list@redhat.com on what projects would be affected by blocking this so that we can move forward. Thank you.

Comment 1 Lubomir Rintel 2010-03-05 09:36:39 UTC
(In reply to comment #0)
> Description of problem:
> 
> Ok we have a report that qemu-img overwrites kvm-qemu-img in RHEL-AP. Normally
> we would block this package from the EPEL build system, but this may cause
> breakage for other items in EPEL so we need to work on a plan of what to do.

This really depends on what Red Hat can do with the package. I see these options:
1.) Red Hat moves the qemu-img tool the the OS base and enables it for all architectures, blocking the package from EPEL
2.) Red Hat moves the kvm-qemu-img package of AP to use alternatives mechanism, and so does EPEL
3.) ExcludeArch x86_64 in EPEL and don't care about x86_64 RHELs w/o kvm-qemu-img (I don't really know if AP has to be purchased separately to RHEL?)

> Please email the list epel-devel-list@redhat.com on what projects would be
> affected by blocking this so that we can move forward. Thank you.    

Though I am not aware of any project that would use that, blocking this would affect end-users (such as me) that use the tool directly.

Also, I'd prefer if we used just a single communication channel here, if you don't mind.

Comment 2 Fedora End Of Life 2017-04-06 10:37:35 UTC
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.